<?php

$order_by = (isset($_GET['order'])) ? $_GET['order'] : 'name';
$dir = (isset($_GET['dir'])) ? $_GET['dir'] : 'down';
$order_dir = ($dir == 'up') ? 'ASC' : 'DESC';
$dir = ($dir == 'down') ? 'up' : 'down';
$dir_img = ($dir == 'down') ? '<img src="'.$html->Link('/imgs/inc/up.gif').'" alt="nahoru">' : '<img src="'.$html->Link('/imgs/inc/down.gif').'" alt="dolu" />';

  
function MakeLink($show, $sort)
{
  global $dir, $dir_img, $html;
  
  if (isset($_GET['order']) and $_GET['order'] == $sort) $arrow = $dir_img;
  else $arrow = '';
  return($arrow.'<a href="'.$html->Link('/spolky/?order='.$sort.'&amp;dir='.$dir).'">'.$show.'</a>');
} 

function GuildPages($row, $name)
{
  global $server;
  
  if($row != '') return('<a href="http://'.$row.'/">www</a>');
  else return('');
}

function FrakceImg($frakce)
{
  global $html;
  
  if($frakce == 0) return('<img src="'.$html->Link('/imgs/inc/h.gif').'" alt="horda" />');
  else return('<img src="'.$html->Link('/imgs/inc/a.gif').'" alt="aliance" />');
} 

echo('<h3 class="PageTitle">Seznam spolků</h3>');
echo($server->RealmSelection());
echo('<table class="BaseTable">
  <tr>
    <th>'.MakeLink('', 'fraction').'</th>
    <th>'.MakeLink('Jméno spolku', 'name').'</th>
    <th>'.MakeLink('Celkem členů', 'member_count').'</th>
    <th>Členů online</th>
    <th>Guild master</th>
    <th>'.MakeLink('Webové stránky', 'homepage').'</th>
    <th>'.MakeLink('Datum založení', 'createdate').'</th>
  </tr>');

$Realm = new Realm($System, $_COOKIE['RealmIndex']);
$db2 = $Realm->CharactersDatabase;

$sql = $db2->query('SELECT `guild`.name, `guild`.guildid, FROM_UNIXTIME(`guild`.`createdate`) AS `createdate`, COUNT(`guild_member`.`guildid`) AS member_count ,`leader`.`race` IN (1, 3, 4, 7, 11) AS fraction , `leader`.`guid` AS leader FROM `guild` JOIN `guild_member` ON `guild_member`.`guildid` = `guild`.`guildid` JOIN `characters` AS `memebers` ON `memebers`.`guid`= `guild_member`.`guid` JOIN `characters` AS `leader` ON `leader`.`guid`= `guild`.`leaderguid` GROUP BY guild.name ORDER BY '.$order_by.' '.$order_dir.';');
while($row = $sql->fetch_assoc())
{
  $DbResult = $db2->query('SELECT COUNT(*) AS online_mem  FROM `guild_member`, `characters`, `guild` WHERE guild.guildid = '.$row['guildid'].' AND guild_member.guildid = guild.guildid AND guild_member.guid = characters.guid AND characters.online = 1');
  $online_mem = $DbResult->fetch_assoc();
  $DbResult = $db->query('SELECT Homepage FROM GuildInfo WHERE Guild='.$row['guildid'].' AND Realm='.$Realm->Id);
  $DbRow = $DbResult->fetch_assoc();
  $Homepage = $DbRow['Homepage'];
  $date_arr = explode(' ', $row['createdate']);
  $date = explode('-', $date_arr[0]);
  $time_stp = explode(':', $date_arr[1]);
  $time = mktime($time_stp[0], $time_stp[1], $time_stp[2], $date[1], $date[2], $date[0]);
  $human_date = date('d.m.Y H:i:s', $time);
  echo('<tr>
    <td align="center">'.FrakceImg($row['fraction']).'</td>
    <td align="center"><a href="'.$html->Link('/spolek/?id='.$row['guildid']).'">'.$row['name'].'</a></td>
    <td align="center">'.$row['member_count'].'</td>
    <td align="center">'.$online_mem['online_mem'].'</td>
    <td align="center">'.$Realm->GuidToCharName($row['leader']).'</td>
    <td align="center">'.GuildPages($Homepage, $row['name']).'</td>
    <td align="center">'.$human_date.'</td>
  </tr>');
}
echo('</table>');

?>
